package com.sunxung.factoring.entity.project.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;

/**
 * <p>
 * 严重违法列表信息
 * </p>
 *
 * @author liutao
 * @since 2023-11-21
 */
public class CSeriousIllegalData {

    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 列入日期，精确到天，如“2022-01-01
     */
    private String addDate;

    /**
     * 作出决定机关(列入)
     */
    private String addOffice;

    /**
     * 列入严重违法失信企业名单原因
     */
    private String addReason;

    /**
     * 严重违法id
     */
    private Long cSeriousIllegalId;

    @JSONField(name = "id")
    private String  idStr;

    /**
     * 严重违法 0 否 1 是
     */
    private Integer seriousIllegality;

    public Integer getSeriousIllegality() {
        return seriousIllegality;
    }

    public void setSeriousIllegality(Integer seriousIllegality) {
        this.seriousIllegality = seriousIllegality;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAddDate() {
        return addDate;
    }

    public void setAddDate(String addDate) {
        this.addDate = addDate;
    }
    public String getAddOffice() {
        return addOffice;
    }

    public void setAddOffice(String addOffice) {
        this.addOffice = addOffice;
    }
    public String getAddReason() {
        return addReason;
    }

    public void setAddReason(String addReason) {
        this.addReason = addReason;
    }
    public Long getcSeriousIllegalId() {
        return cSeriousIllegalId;
    }

    public void setcSeriousIllegalId(Long cSeriousIllegalId) {
        this.cSeriousIllegalId = cSeriousIllegalId;
    }

    @Override
    public String toString() {
        return "CSeriousIllegalData{" +
            "addDate=" + addDate +
            ", addOffice=" + addOffice +
            ", addReason=" + addReason +
            ", cSeriousIllegalId=" + cSeriousIllegalId +
        "}";
    }
}
